| Irrlicht 3D Engine |

Classes | Namespaces | Typedefs
triangle3d.h File Reference
`#include "vector3d.h"`
`#include "line3d.h"`
`#include "plane3d.h"`
`#include "aabbox3d.h"`

Go to the source code of this file.

## Classes

- class irr::core::triangle3d< T >
    3d triangle template class for doing collision detection and other things. More...

## Namespaces

- namespace irr

    Everything in the Irrlicht Engine can be found in this namespace.

- namespace irr::core

    Basic classes such as vectors, planes, arrays, lists, and so on can be found in this namespace.

## Typedefs

- typedef triangle3d< f32 > irr::core::triangle3df
    Typedef for a f32 3d triangle.
- typedef triangle3d< s32 > irr::core::triangle3di
    Typedef for an integer 3d triangle.